/// <reference types="react" />
import type { UnwrapArray } from "@equilab/utils";
import type { useBase } from "../substrate/base";
declare type BaseHook = typeof useBase;
declare const saType: Array<"Bailsman" | "Borrower" | "Lender">;
export declare const SubAccountProvider: import("react").FC<{
    useBase: BaseHook;
}>;
export declare const useAccount: () => {
    getAccount: (type?: undefined | UnwrapArray<typeof saType>) => import("./connect").AccountWithPub | undefined;
};
export {};
